- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IDataSource
IItemDataRenderer
IRepeatInfoUser
TActiveFileUpload
TBaseDataList
TBaseValidator
TBoundColumn
TBulletedList
TBulletedListDisplayMode
TBulletedListEventParameter
TBulletStyle
TButton
TButtonColumn
TButtonColumnType
TButtonType
TCaptcha
TCaptchaValidator
TCheckBox
TCheckBoxColumn
TCheckBoxList
TCircleHotSpot
TClientScript
TClientScriptLoader
TClientSideValidationSummaryOptions
TColorPicker
TColorPickerClientSide
TColorPickerMode
TCompareValidator
TCompleteWizardStep
TConditional
TContent
TContentDirection
TContentPlaceHolder
TCustomValidator
TDataBoundControl
TDataGrid
TDataGridColumn
TDataGridColumnCollection
TDataGridCommandEventParameter
TDataGridItem
TDataGridItemCollection
TDataGridItemEventParameter
TDataGridItemRenderer
TDataGridPageChangedEventParameter
TDataGridPager
TDataGridPagerButtonType
TDataGridPagerEventParameter
TDataGridPagerMode
TDataGridPagerPosition
TDataGridPagerStyle
TDataGridSortCommandEventParameter
TDataList
TDataListCommandEventParameter
TDataListItem
TDataListItemCollection
TDataListItemEventParameter
TDataListItemRenderer
TDataRenderer
TDataSourceControl
TDataSourceSelectParameters
TDataSourceView
TDataTypeValidator
TDatePicker
TDatePickerClientScript
TDatePickerInputMode
TDatePickerMode
TDatePickerPositionMode
TDisplayStyle
TDraggable
TDropContainer
TDropDownList
TDropDownListColumn
TEditCommandColumn
TEmailAddressValidator
TExpression
TFileUpload
TFont
THiddenField
THorizontalAlign
THotSpot
THotSpotCollection
THotSpotMode
THtmlArea
THtmlElement
THyperLink
THyperLinkColumn
TImage
TImageButton
TImageClickEventParameter
TImageMap
TImageMapEventParameter
TInlineFrame
TInlineFrameAlign
TInlineFrameScrollBars
TItemDataRenderer
TJavascriptLogger
TKeyboard
TLabel
TLinkButton
TListBox
TListControl
TListControlValidator
TListItem
TListItemCollection
TListItemType
TListSelectionMode
TLiteral
TLiteralColumn
TMarkdown
TMetaTag
TMetaTagCollection
TMultiView
TOutputCache
TOutputCacheCalculateKeyEventParameter
TOutputCacheCheckDependencyEventParameter
TPager
TPagerButtonType
TPagerMode
TPagerPageChangedEventParameter
TPanel
TPanelStyle
TPlaceHolder
TPolygonHotSpot
TRadioButton
TRadioButtonList
TRangeValidationDataType
TRangeValidator
TRatingList
TReadOnlyDataSource
TReadOnlyDataSourceView
TRectangleHotSpot
TRegularExpressionValidator
TRepeatDirection
TRepeater
TRepeaterCommandEventParameter
TRepeaterItem
TRepeaterItemCollection
TRepeaterItemEventParameter
TRepeaterItemRenderer
TRepeatInfo
TRepeatLayout
TRequiredFieldValidator
TSafeHtml
TScrollBars
TServerValidateEventParameter
TSlider
TSliderClientScript
TSliderDirection
TStatements
TStyle
TStyleSheet
TTable
TTableCaptionAlign
TTableCell
TTableCellCollection
TTableFooterRow
TTableGridLines
TTableHeaderCell
TTableHeaderRow
TTableHeaderScope
TTableItemStyle
TTableRow
TTableRowCollection
TTableRowSection
TTableStyle
TTabPanel
TTabView
TTabViewCollection
TTemplateColumn
TTemplatedWizardStep
TTextAlign
TTextBox
TTextBoxAutoCompleteType
TTextBoxMode
TTextHighlighter
TTextHighlighterLineNumberStyle
TValidationCompareOperator
TValidationDataType
TValidationSummary
TValidationSummaryDisplayMode
TValidationSummaryDisplayStyle
TValidatorClientSide
TValidatorDisplayStyle
TVerticalAlign
TView
TViewCollection
TWebControl
TWebControlAdapter
TWizard
TWizardFinishNavigationTemplate
TWizardNavigationButtonStyle
TWizardNavigationButtonType
TWizardNavigationContainer
TWizardNavigationEventParameter
TWizardNavigationTemplate
TWizardSideBarListItemTemplate
TWizardSideBarTemplate
TWizardStartNavigationTemplate
TWizardStep
TWizardStepCollection
TWizardStepNavigationTemplate
TWizardStepType
TXmlTransform

Keyword

# Class TRepeatInfo

    TComponent
       |
       --TRepeatInfo

TRepeatInfo class.

TRepeatInfo represents repeat information for controls like TCheckBoxList. The layout of the repeated items is specified via RepeatLayout, which can be either Table (default), Flow or Raw. A table layout uses HTML table cells to organize the items while a flow layout uses line breaks to organize the items. The number of columns used to display the items is specified via RepeatColumns property, while the RepeatDirection governs the order of the items being rendered.

Note, the Raw layout does not contain any formatting tags and thus ignores the column and repeat direction settings.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
string | getCaption ()
TTableCaptionAlign | getCaptionAlign ()
integer | getRepeatColumns ()
TRepeatDirection | getRepeatDirection ()
TRepeatLayout | getRepeatLayout ()
protected void | renderFooter ( THtmlWriter $writer, IRepeatInfoUser $user, boolean $tableLayout, integer $columns) Renders footer.
protected void | renderHeader ( THtmlWriter $writer, IRepeatInfoUser $user, boolean $tableLayout, integer $columns, boolean $needBreak) Renders header.
protected void | renderHorizontalContents ( THtmlWriter $writer, IRepeatInfoUser $user) Renders contents in horizontal repeat direction.
protected void | renderRawContents ( THtmlWriter $writer, IRepeatInfoUser $user) Renders contents in raw format.
void | renderRepeater ( THtmlWriter $writer, IRepeatInfoUser $user) Renders the repeated items.
protected void | renderVerticalContents ( THtmlWriter $writer, IRepeatInfoUser $user) Renders contents in veritcal repeat direction.
void | setCaption ( string $value)
TTableCaptionAlign | setCaptionAlign ( mixed $value)
void | setRepeatColumns ( integer $value)
void | setRepeatDirection ( TRepeatDirection $value)
void | setRepeatLayout ( TRepeatLayout $value)

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## getCaption

public string getCaption | ()

Output
string | caption of the table layout
Exception

## getCaptionAlign

public TTableCaptionAlign getCaptionAlign | ()

Output
TTableCaptionAlign | alignment of the caption of the table layout. Defaults to TTableCaptionAlign::NotSet.
Exception

## getRepeatColumns

public integer getRepeatColumns | ()

Output
integer | the number of columns that the repeated items should be displayed in. Defaults to 0, meaning not set.
Exception

## getRepeatDirection

public TRepeatDirection getRepeatDirection | ()

Output
TRepeatDirection | the direction of traversing the repeated items, defaults to TRepeatDirection::Vertical
Exception

## getRepeatLayout

public TRepeatLayout getRepeatLayout | ()

Output
TRepeatLayout | how the repeated items should be displayed, using table or using line breaks. Defaults to TRepeatLayout::Table.
Exception

## renderFooter

protected void renderFooter | (THtmlWriter $writer , IRepeatInfoUser $user , boolean $tableLayout , integer $columns )

Renders footer.

Input
THtmlWriter | $writer | writer for the rendering purpose
IRepeatInfoUser | $user | repeat information user
boolean | $tableLayout | whether to render using table layout
integer | $columns | number of columns to be rendered
Output
Exception

## renderHeader

protected void renderHeader | (THtmlWriter $writer , IRepeatInfoUser $user , boolean $tableLayout , integer $columns , boolean $needBreak )

Renders header.

Input
THtmlWriter | $writer | writer for the rendering purpose
IRepeatInfoUser | $user | repeat information user
boolean | $tableLayout | whether to render using table layout
integer | $columns | number of columns to be rendered
boolean | $needBreak | if a line break is needed at the end
Output
Exception

## renderHorizontalContents

protected void renderHorizontalContents | (THtmlWriter $writer , IRepeatInfoUser $user )

Renders contents in horizontal repeat direction.

Input
THtmlWriter | $writer | writer for the rendering purpose
IRepeatInfoUser | $user | repeat information user
Output
Exception

## renderRawContents

protected void renderRawContents | (THtmlWriter $writer , IRepeatInfoUser $user )

Renders contents in raw format.

Input
THtmlWriter | $writer | writer for the rendering purpose
IRepeatInfoUser | $user | repeat information user
Output
Exception

## renderRepeater

public void renderRepeater | (THtmlWriter $writer , IRepeatInfoUser $user )

Renders the repeated items.

Input
THtmlWriter | $writer | writer for the rendering purpose
IRepeatInfoUser | $user | repeat information user
Output
Exception

## renderVerticalContents

protected void renderVerticalContents | (THtmlWriter $writer , IRepeatInfoUser $user )

Renders contents in veritcal repeat direction.

Input
THtmlWriter | $writer | writer for the rendering purpose
IRepeatInfoUser | $user | repeat information user
Output
Exception

## setCaption

public void setCaption | (string $value )

Input
string | $value | caption of the table layout
Output
Exception

## setCaptionAlign

public TTableCaptionAlign setCaptionAlign | (mixed $value )

Input
mixed | $value |
Output
TTableCaptionAlign | alignment of the caption of the table layout.
Exception

## setRepeatColumns

public void setRepeatColumns | (integer $value )

Input
integer | $value | the number of columns that the repeated items should be displayed in.
Output
Exception

## setRepeatDirection

public void setRepeatDirection | (TRepeatDirection $value )

Input
TRepeatDirection | $value | the direction of traversing the repeated items
Output
Exception

## setRepeatLayout

public void setRepeatLayout | (TRepeatLayout $value )

Input
TRepeatLayout | $value | how the repeated items should be displayed, using table or using line breaks.
Output
Exception